# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_bd33c787-229e-4946-840a-21c3a5728cb2xyyt0d7a/clone/recipe, last modified Fri Jul 15 14:52:16 2022
# ------------------------------------------------

package:
  name: streamlit
  version: 1.11.0
source:
  sha256: 349674363f4808f3ffaf8021b3134d3cc8f9ffa399457cef5fb734b3ef5fecac
  url: https://pypi.io/packages/source/s/streamlit/streamlit-1.11.0.tar.gz
build:
  entry_points:
    - streamlit = streamlit.cli:main
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_bd33c787-229e-4946-840a-21c3a5728cb2xyyt0d7a/croots/recipe/streamlit_1657914742981/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . -vv
  string: py38hca03da5_0
requirements:
  host:
    - appdirs 1.4.4 pyhd3eb1b0_0
    - ca-certificates 2022.4.26 hca03da5_0
    - certifi 2022.6.15 py38hca03da5_0
    - distlib 0.3.2 pyhd3eb1b0_0
    - filelock 3.6.0 pyhd3eb1b0_0
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.4.2 hc377ac9_4
    - ncurses 6.3 h1a28f6b_3
    - openssl 1.1.1q h1a28f6b_0
    - pip 22.1.2 py38hca03da5_0
    - pipenv 2022.7.4 py38hca03da5_0
    - python 3.8.13 hbdb9e5c_0
    - readline 8.1.2 h1a28f6b_1
    - setuptools 61.2.0 py38hca03da5_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.38.5 h1058600_0
    - tk 8.6.12 hb8d0fd4_0
    - virtualenv 20.4.6 py38hca03da5_1
    - virtualenv-clone 0.5.7 py38hca03da5_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h1a28f6b_1
    - zlib 1.2.12 h5a0b063_2
  run:
    - altair >=3.2.0
    - attrs >=16.0.0
    - blinker >=1.0.0
    - cachetools >=4.0
    - click >=7.0,<8.1
    - gitpython !=3.1.19
    - importlib-metadata >=1.4
    - numpy
    - packaging >=14.1
    - pandas >=0.21.0
    - pillow >=6.2.0
    - protobuf >=3.12,<4
    - pyarrow >=4.0
    - pydeck >=0.1.dev5
    - pympler >=0.9
    - python >=3.8,<3.9.0a0
    - python-dateutil
    - requests >=2.4
    - rich >=10.11.0
    - semver
    - toml
    - tornado >=5.0
    - typing_extensions >=3.10.0.0
    - tzlocal >=1.1
    - validators >=0.2
test:
  commands:
    - pip check
  imports:
    - streamlit
  requires:
    - pip
about:
  description: "Streamlit lets you turn data scripts into sharable web apps in minutes,\
    \ not weeks.\nIt\u2019s all Python, open-source, and free!\n"
  dev_url: https://github.com/streamlit/streamlit
  doc_source_url: https://github.com/streamlit/docs
  doc_url: https://docs.streamlit.io/
  home: https://streamlit.io
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: The fastest way to build data apps in Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: bd33c787-229e-4946-840a-21c3a5728cb2
  recipe-maintainers:
    - kmcgrady
    - randyzwitch
    - raybellwaves
  remote_url: git@github.com:AnacondaRecipes/streamlit-feedstock.git
  sha: 71b46e6f615750d6a59a5e6d46638227a33f7d0b
